Reports Get Storage

Deprecated
View as MarkdownOpen in Claude
Retrieves reporting data about a team's storage usage. Deprecated: Will be removed on July 1st 2021. **Required scope:** `team_info.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects a nullable object.
end_datedate or nullOptional

Optional ending date (exclusive).

start_datedate or nullOptional

Optional starting date (inclusive). If start_date is None or too long ago, this field will be set to 6 months ago.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
start_datestring

First date present in the results as ‘YYYY-MM-DD’ or None.

member_storage_maplist of lists of objects
Array of storage summaries of team members' account sizes. Each storage summary is an array of key, value pairs, where each pair describes a storage bucket. The key indicates the upper bound of the bucket and the value is the number of users in that bucket. There is one such summary per day. If there is no data for a day, the storage summary will be empty.
shared_folderslist of nullable uint64s
Array of the number of shared folders owned by team members, for each day.
shared_usagelist of nullable uint64s

Array of the combined size (bytes) of team members’ shared folders, for each day.

total_usagelist of nullable uint64s
Sum of the shared, unshared, and datastore usages, for each day.
unshared_usagelist of nullable uint64s

Array of the combined size (bytes) of team members’ root namespaces, for each day.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error